<div>

  <mat-card>
    <mat-card-header>
      <mat-card-title>{{actionName}} Categoria</mat-card-title>
    </mat-card-header>

    <mat-card-content>
      <form [formGroup]="categoryForm" #categoryFormDirective="ngForm" *ngIf="isFormReady">
        <mat-form-field appearance="outline" class="w-300">
          <mat-label>Nome</mat-label>
          <input matInput type="text" formControlName="name">
          <mat-error *ngIf="categoryForm.controls['name'].errors?.['required']">Nome é obrigatório</mat-error>
        </mat-form-field>

      </form>

    </mat-card-content>

    <mat-card-actions class="flx-center-row flx-evly">
      <button (click)="cancel()" mat-raised-button color="warn">Cancelar</button>
      <button (click)="save()" mat-raised-button color="primary">Salvar</button>

    </mat-card-actions>

  </mat-card>

</div>
